VERSION 5.00
Begin VB.Form frmAccess 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Form1"
   ClientHeight    =   4470
   ClientLeft      =   45
   ClientTop       =   375
   ClientWidth     =   3510
   Icon            =   "frmAccess.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4470
   ScaleWidth      =   3510
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame FrameAccess 
      BorderStyle     =   0  'None
      Height          =   4455
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   3615
      Begin VB.Frame Frame3 
         Caption         =   "Access"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   4215
         Left            =   120
         TabIndex        =   1
         Top             =   120
         Width           =   3255
         Begin VB.ListBox lstAccess 
            Height          =   3180
            Left            =   120
            Sorted          =   -1  'True
            TabIndex        =   3
            Top             =   240
            Width           =   3015
         End
         Begin VB.CommandButton cmdAddAccess 
            Caption         =   "Add User"
            Height          =   375
            Left            =   120
            TabIndex        =   2
            Top             =   3720
            Width           =   3015
         End
         Begin VB.Label Label2 
            Alignment       =   2  'Center
            Caption         =   "Double click users to remove them."
            Enabled         =   0   'False
            Height          =   255
            Left            =   120
            TabIndex        =   4
            Top             =   3480
            Width           =   3015
         End
      End
   End
End
Attribute VB_Name = "frmAccess"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim form_ProfileIndex As Integer
'holds the index of the profile currently using this form
'used for remembering where to save things and such

Private Sub Form_Load()
    FormsOpen.Access = True
End Sub

Private Sub Form_Unload(Cancel As Integer)
    FormsOpen.Access = False
End Sub
'states that the form is no longer open

Public Function get_ProfileIndex() As Integer
    get_ProfileIndex = form_ProfileIndex
End Function
'checked when user logs on, to see if they changed their name or anything

Public Sub Set_ProfileIndex(ByRef Index As Integer)
    
    form_ProfileIndex = Index
    'set profile using this form
    Me.Caption = "Access: " & aProfile(Index).Name & "." & ChangeRealmIndexToName(Index)
    'caption
    Load_AccessDisplay
    'editing access

End Sub
'set the profile changing settings


Private Sub lstAccess_DblClick()

    If lstAccess.listIndex = -1 Then Exit Sub
    'if nothing to select
    Remove_Access True, Mid$(lstAccess.List(lstAccess.listIndex), 6), form_ProfileIndex
    'removes selected user
    Load_AccessDisplay
    'show new

End Sub
'issues the removal of a users access

Public Sub Load_AccessDisplay()
Dim AccessString As String, AccessSplit() As String, arrIndex As Integer

    lstAccess.Clear
    If aProfile(form_ProfileIndex).AccessUnique Then
        AccessString = aProfile(form_ProfileIndex).AccessUsers
    'profile specific access
    Else
        AccessString = botElements.AccessUsers
    'use global
    End If
    'sets which access to use
    If LenB(AccessString) Then
    'if any users have access
        Dim theName As String, theAccess As String, StringLoc As Integer
        AccessSplit() = Split(AccessString, AUnderT)
        '
        For arrIndex = 0 To UBound(AccessSplit)
            If LenB(AccessSplit(arrIndex)) Then
            'if not a null entry
                StringLoc = InStr(AccessSplit(arrIndex), ASnake)
                If StringLoc <> 0 Then
                'if identifiers found
                    theName = Mid$(AccessSplit(arrIndex), 2, (StringLoc - 2))
                    theAccess = Mid$(AccessSplit(arrIndex), (StringLoc + 1))
                    'split the name and access
                    lstAccess.AddItem theAccess & ASpace & ASpace & theName
                    'add to display
                End If
            End If
        Next arrIndex
    'if access string isnt null
    End If
    
End Sub
'loads access for display


Private Sub cmdAddAccess_Click()
Dim boxResponse1 As String
Dim boxResponse2 As String

    If Not aProfile(form_ProfileIndex).Connected Then
        AddChat 0, botElements.ActiveChatIndex, vbYellow, GetSTRING(165) 'Notice --- Selected profile is not connected, cannot add access.
        'add chat
        Exit Sub
    End If
    'if not connected cannot proceed, since adding access requires username conversion
    
    boxResponse1 = InputBox("Who do you wish to add to access?", "Add Access")
    If LenB(boxResponse1) And aProfile(form_ProfileIndex).Connected Then
    'if not null and still connected
        boxResponse1 = FirstNameConversion(boxResponse1, form_ProfileIndex)
        'convert
        boxResponse2 = InputBox("How much access will '" & boxResponse1 & "' have?", "Add Access")
        If LenB(boxResponse2) And aProfile(form_ProfileIndex).Connected Then
        'if not null and still connected
            boxResponse2 = Val#(boxResponse2)
            If Val#(boxResponse2) > 0 And Val#(boxResponse2) < 999 Then
            'if within allowed values then add
                Do Until Len(boxResponse2) = 3
                    boxResponse2 = "0" & boxResponse2
                Loop
                'force 3 in length
                If get_Access(boxResponse1, form_ProfileIndex) <> 0 Then
                'Already has access
                    AddChat 0, botElements.ActiveChatIndex, vbYellow, GetSTRING(113) & boxResponse1 & GetSTRING(166) ']already has access, you must remove the user first when attempting to add from within Tools.
                Else
                'doesnt have, add
                    AddChat 0, botElements.ActiveChatIndex, vbYellow, GetSTRING(113) & boxResponse1 & GetSTRING(118) & boxResponse2 & GetSTRING(122)
                    'chat
                    Add_Access aProfile(botElements.ActiveChatIndex).RealName, boxResponse1, Val#(boxResponse2), form_ProfileIndex
                    'add
                    Load_AccessDisplay
                    'updates display
                End If
                'check if already have access
            'if access is within allowed values
            End If
        'if access isnt null and profile is still connected
        End If
    'if not null and still connected for name
    End If
    
End Sub
'adds a user to the access list

