Attribute VB_Name = "Media"
Option Explicit
Public Declare Function WA_SendMessage Lib "user32" Alias "SendMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, ByVal lParam As Long) As Long
Private Enum eSpecialFolders
  SpecialFolder_AppData = &H1A        'for the current Windows user, on any computer on the network [Windows 98 or later]
  'SpecialFolder_CommonAppData = &H23  'for all Windows users on this computer [Windows 2000 or later]
  'SpecialFolder_LocalAppData = &H1C   'for the current Windows user, on this computer only [Windows 2000 or later]
  'SpecialFolder_Documents = &H5       'the Documents folder for the current Windows user
End Enum


Private Const WA_CMD As Long = &H111
Private Const WA_USER As Long = &H400
'winamp stuff

Dim iTunes As iTunesApp
Private Declare Function FindWindow Lib "user32.dll" Alias "FindWindowA" (ByVal lpClassName As String, ByVal lpWindowName As String) As Long
Private Declare Function GetWindowText Lib "user32.dll" Alias "GetWindowTextA" (ByVal hwnd As Long, ByVal lpString As String, ByVal cch As Long) As Long
'reading winamp title, finding itunes / winamp hwnd
Dim Winamp_hWnd As Long, iTunes_hWnd As Long

Private Declare Function RegQueryValueEx Lib "advapi32" Alias "RegQueryValueExA" (ByVal hKey As Long, ByVal lpValueName As String, ByVal lpReserved As Long, lpType As Long, ByVal lpData As String, lpcbData As Long) As Long
Private Declare Function RegOpenKey Lib "advapi32" Alias "RegOpenKeyA" (ByVal hKey As Long, ByVal lpSubKey As String, phkResult As Long) As Long
Private Declare Function RegCloseKey Lib "advapi32" (ByVal hKey As Long) As Long
'used for getting path
Private Function GetPath() As String
    Dim lRegKey As Long, WA_Path As String * 256
    RegOpenKey &H80000001, "SOFTWARE\Winamp", lRegKey
    RegQueryValueEx lRegKey, vbNullString, 0, 1, WA_Path, 256
    RegCloseKey lRegKey
    GetPath = KillNull(WA_Path)
End Function
'gets winamps path on drive

Private Function findHWND() As Byte

    iTunes_hWnd = FindWindow("iTunes", vbNullString)
    Winamp_hWnd = FindWindow("Winamp v1.x", vbNullString)
    'attempt to find for itunes
    If iTunes_hWnd <> 0 Then
        findHWND = 2
    ElseIf Winamp_hWnd <> 0 Then
        findHWND = 1
    Else
        findHWND = 0
    End If
    'set findhwnds and determine which to use, 0 is neither found

End Function
'itunes has priority since its a more popular player

Public Sub GetSong(ByRef Index As Integer, ByRef EchoCommand As Boolean)
Dim theSong As String
Dim hwndResult As Byte

    hwndResult = findHWND
    If hwndResult = 0 Then
        Exit Sub
    'neither could be detected as opened
    ElseIf hwndResult = 2 Then
    'if winamp
        Set iTunes = New iTunesApp
        Dim Track As IITTrack
        '
        Set Track = iTunes.CurrentTrack
        If Track Is Nothing Then
            theSong = vbNullString
        'no track
        Else
            theSong = Track.Index & ". " & Track.Artist & " - " & Track.Name & " - iTunes"
        End If
        'exit if nothign is playing
        Set iTunes = Nothing
        'unset
    ElseIf hwndResult = 1 Then
    'if itunes
        SendMessage Winamp_hWnd, &H400, 0, &HF3
        'i believe this forces winamp to update its title
        'not sure if it actually works
        Dim windowText As String
        windowText = Space(256)
        GetWindowText Winamp_hWnd, windowText, 256 'len txt
        'get window caption
        windowText = Left$(windowText, InStr(windowText, vbNullChar) - 1)
        theSong = windowText
        'set
        If LenB(windowText) = 0 Or InStrB(windowText, " - Winamp") = 0 Then theSong = vbNullString
        'winamp is open but no songs are selected
    End If
    
    If theSong = aProfile(Index).MP3Name Or LenB(theSong) = 0 Then Exit Sub
    'exit if last song
    QueueString GetSTRING(160) & theSong, Index, EchoCommand
    If Not EchoCommand Then aProfile(Index).MP3Name = theSong
    'queue song, and only set as last if was broadcasted
    
End Sub

Public Sub PlayNext()
Dim hwndResult As Byte

    hwndResult = findHWND
    If hwndResult = 0 Then
        Exit Sub
    'neither could be detected as opened
    ElseIf hwndResult = 2 Then
    'if itunes
        Set iTunes = New iTunesApp
        '
        iTunes.NextTrack
        '
        Set iTunes = Nothing
        'change track and unset
    ElseIf hwndResult = 1 Then
        Call WA_SendMessage(Winamp_hWnd, WA_CMD, &H9C70, 0)
    'winamp
    End If

End Sub

Public Sub PlayPrevious()
Dim hwndResult As Byte

    hwndResult = findHWND
    If hwndResult = 0 Then
        Exit Sub
    'neither could be detected as opened
    ElseIf hwndResult = 2 Then
    'if itunes
        Set iTunes = New iTunesApp
        '
        iTunes.PreviousTrack
        '
        Set iTunes = Nothing
        'change track and unset
    ElseIf hwndResult = 1 Then
        Call WA_SendMessage(Winamp_hWnd, WA_CMD, &H9C6C, 0)
    'if winamp
    End If

End Sub

Public Sub PauseSong()
Dim hwndResult As Byte

    hwndResult = findHWND
    If hwndResult = 0 Then
        Exit Sub
    'neither could be detected as opened
    ElseIf hwndResult = 2 Then
    'if itunes
        Set iTunes = New iTunesApp
        '
        iTunes.Pause
        '
        Set iTunes = Nothing
        'change track and unset
    ElseIf hwndResult = 1 Then
        Call WA_SendMessage(Winamp_hWnd, WA_CMD, &H9C6E, 0)
    'winamp
    End If

End Sub

Public Sub PlaySong(ByRef SongTitle As String, Index As Integer, EchoCommand As Boolean)
Dim hwndResult As Byte
On Error GoTo Err


    Dim SkipTracks As Byte, StringLoc As Byte, SongMatch As Integer
    '
    StringLoc = InStr(SongTitle, ",")
    If StringLoc <> 0 Then
        Dim tmpString As String
        tmpString = Trim$(Mid$(SongTitle, StringLoc + 1))
        'get the number of tracks to skip only
        If IsNumeric(tmpString) Then
            SkipTracks = Val#(tmpString)
            SongTitle = Trim$(Left$(SongTitle, StringLoc - 1))
        End If
        'if is a numeric value then parse song title
    End If
    
    hwndResult = findHWND
    If hwndResult = 0 Then
        Exit Sub
    'neither could be detected as opened
    ElseIf hwndResult = 2 Then
    'if itunes
        Set iTunes = New iTunesApp
        '
        If LenB(SongTitle) = 0 Then
            iTunes.Play
        'just play
        Else
        'search for a song
            Dim Playlist As IITTrackCollection
            Set Playlist = iTunes.LibraryPlaylist.Search(SongTitle, 5)
            'search for songs by title
            If Playlist.Count = 0 Then
                Set iTunes = Nothing
                '
                QueueString GetSTRING(211), Index, EchoCommand
                'String211=Couldn't find specified song.
                Exit Sub
            Else
                Set iTunes = Nothing
                '
                Playlist.Item(SkipTracks + 1).Play
                'song found, play it
                GetSong Index, EchoCommand
                'display
            End If
            'some reason it errors when no results are found??
        End If
    ElseIf hwndResult = 1 Then
    
        If LenB(SongTitle) > 0 Then
            Dim PlaylistPath As String
            Dim FileNumber As Integer, SongData As String, PlaylistIndex As Integer
            '
            'couldnt find winamps path
            Call WA_SendMessage(Winamp_hWnd, WA_USER, 0, 120)
            'write the playlist so we can read from it
            PlaylistPath = SpecialFolder(SpecialFolder_AppData) & "\Winamp\Winamp.m3u"
            'get path
            If LenB(Dir$(PlaylistPath)) = 0 Then
                PlaylistPath = GetPath & "\Winamp.m3u"
                If LenB(Dir$(PlaylistPath)) = 0 Then
                    QueueString GetSTRING(212), Index, EchoCommand
                    'String212=Couldn't locate Winamp playlist directory, cannot play specified song; please ensure you have winamp version 5.11 or higher.
                    Exit Sub
                End If
                'check installation directory since wasnt found in appdata
            End If
            'checks for path
            If LenB(Dir$(PlaylistPath)) <> 0 Then
                Dim ResultFound As Boolean
                '
                FileNumber = FreeFile
                '
                Open PlaylistPath For Input As #FileNumber
                Do Until EOF(FileNumber)
                    Line Input #FileNumber, SongData
                    If Left$(SongData, 4) <> "#EXT" Then
                        SongData = StrReverse$(SongData)
                        If InStrB(2, SongData, "\") Then SongData = Left$(SongData, InStr(SongData, "\") - 1)
                        SongData = StrReverse$(Mid$(SongData, InStr(SongData, ".") + 1))
                        'strip and adjust additives
                        If InStrB(1, LCase$(SongData), LCase$(SongTitle)) Then
                            If SongMatch = SkipTracks Then
                                Call WA_SendMessage(Winamp_hWnd, WA_USER, PlaylistIndex, 121)
                                'set playlist position
                                Call WA_SendMessage(Winamp_hWnd, WA_CMD, &H9C6D, 0)
                                'play it
                                GetSong Index, EchoCommand
                                '
                                ResultFound = True
                                'shows that a match has been made
                                Exit Do
                            Else
                                SongMatch = SongMatch + 1
                            End If
                        'we found a match
                        End If
                        '
                        PlaylistIndex = PlaylistIndex + 1
                        'no match goto enxt
                    End If
                Loop
                Close #FileNumber
                '
                If Not ResultFound Then QueueString GetSTRING(211), Index, EchoCommand
                'String211=Couldn't find specified song.
            'found playlist, search it
            End If
        Else
        'no song specified, just play
            Call WA_SendMessage(Winamp_hWnd, WA_CMD, &H9C6D, 0)
            'play it
        End If
    
    'if winamp
    End If

Err:

    If hwndResult = 2 And LenB(SongTitle) <> 0 And Err.Number = 91 Then
        Set iTunes = Nothing
        QueueString GetSTRING(211), Index, EchoCommand
    End If
    'String211=Couldn't find specified song.
    
End Sub



Private Function SpecialFolder(pFolder As eSpecialFolders) As String
'Returns the path to the specified special folder (AppData etc)
Dim objShell  As Object
Dim objFolder As Object

    Set objShell = CreateObject("Shell.Application")
    Set objFolder = objShell.namespace(CLng(pFolder))
    '
    If (Not objFolder Is Nothing) Then SpecialFolder = objFolder.Self.Path
    '
    Set objFolder = Nothing
    Set objShell = Nothing
    '

End Function

