Attribute VB_Name = "Plugins"
Private Declare Function FreeLibrary Lib "kernel32" (ByVal hLibModule As Long) As Long
Private Declare Function LoadLibrary Lib "kernel32" Alias "LoadLibraryA" (ByVal lpLibFileName As String) As Long
Private Declare Function GetProcAddress Lib "kernel32" (ByVal hModule As Long, ByVal lpProcName As String) As Long
Private Declare Function CallWindowProc Lib "user32" Alias "CallWindowProcA" (ByVal lpPrevWndFunc As Long, ByVal hwnd As Long, ByVal msg As Any, ByVal wParam As Any, ByVal lParam As Any) As Long

Public aPlugin() As xyzPlugin
'workable version
Private Type xyzPlugin
    myObj As Object 'plugin object
    Name As String 'name of plugin
End Type
'for plugins being loaded

Public Sub Unset_Plugin(PluginName As String)
Dim arrIndex As Integer
On Error GoTo Err

    For arrIndex = 0 To UBound(aPlugin)
    
        If LCase$(PluginName) = LCase$(aPlugin(arrIndex).Name) Then
          
            If arrIndex = UBound(aPlugin) Then
                If UBound(aPlugin) > 0 Then
                    ReDim Preserve aPlugin(UBound(aPlugin) - 1)
                    'if more than 1 plugin loaded erase just the last one
                Else
                    ReDim aPlugin(0)
                    'if only one loaded just reset plugin array
                End If
            'if plugin is last one loaded i can just redim -1
            Else
                Set aPlugin(arrIndex).myObj = Nothing
                aPlugin(arrIndex).Name = vbNullString
            'if in the middle of plugins
            End If
            'unload
          
          AddChat 0, botElements.ActiveChatIndex, vbGreen, "Plugin [ ", vbYellow, PluginName, vbGreen, " ] has been unloaded."
          'add chat
          
        End If
        'match
  
    Next
    
Err:
End Sub
'remove the plugin


Public Sub Set_Plugin(ByRef PluginFile As String)

    Dim bRegisterTried As Boolean, PluginSlot As Integer
    'tried regServ             'pluginSlot loading into
    Dim arrIndex As Integer
    'String239=Plugin [
    Do Until arrIndex > UBound(aPlugin)
        If aPlugin(arrIndex).Name = PluginFile Then
            AddChat 0, botElements.ActiveChatIndex, vbYellow, GetSTRING(239) & PluginName & GetSTRING(240)
            'String240=] is already loaded.
            Exit Sub
        End If
        'already loaded
        If LenB(aPlugin(arrIndex).Name) = 0 Then Exit Do
        arrIndex = arrIndex + 1
    Loop
    'find available array slot
    If arrIndex > UBound(aPlugin) Then ReDim Preserve aPlugin(arrIndex)
    'resize if needed
On Error GoTo ErrNext1
    Set aPlugin(arrIndex).myObj = CreateObject(PluginFile & ".Plugin")
    'tries to create
ErrNext1:
    If aPlugin(arrIndex).myObj Is Nothing Then
   ' On Error GoTo ErrNext2
        If RegisterPlugin(frmMain.hwnd, App.Path & "\Plugins\" & PluginFile & ".dll", True) Then Set aPlugin(arrIndex).myObj = CreateObject(PluginFile & ".Plugin")
        'try to register the plugin, if it registers fine try to set the object again
ErrNext2:
        If aPlugin(arrIndex).myObj Is Nothing Then
            AddChat 0, botElements.ActiveChatIndex, vbYellow, GetSTRING(239) & PluginFile & GetSTRING(241) 'String241=] could not be loaded.
            Exit Sub
        End If
        'couldnt load plugin
    End If
    aPlugin(arrIndex).Name = PluginFile
    'sets name
    AddChat 0, botElements.ActiveChatIndex, vbGreen, GetSTRING(239) & aPlugin(arrIndex).Name & GetSTRING(242) 'String242=] has been loaded.
    'add chat
    aPlugin(arrIndex).myObj.ProcEvent 0, frmMain, botElements.ActiveChatIndex
    'calls the 0 event for plugin, which is just loaded

End Sub
'tries to load the plugin to enable it works, and tries to register it 'p//

Public Function RegisterPlugin(hwnd As Long, DllServerPath As String, bRegister As Boolean) As Boolean
On Error GoTo Err
    Dim lb As Long, pa As Long

    lb = LoadLibrary(DllServerPath)
    If bRegister Then
        pa = GetProcAddress(lb, "DllRegisterServer")
    Else
        pa = GetProcAddress(lb, "DllUnregisterServer") 'if i ever need to unregister
    End If

    If CallWindowProc(pa, hwnd, ByVal 0&, ByVal 0&, ByVal 0&) = &H0 Then RegisterPlugin = True

    FreeLibrary lb
    'release
Err:
End Function
'registers a plugin if it cant be loaded 'p//

